Subject: Re: [radext] #153: Section 2.8 Access-Info

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Fri, 8 Nov 2013 00:21:43 +0000

The resolution to this issue looks good. 

Cheers,

Joe
On Oct 20, 2013, at 4:50 PM, radext issue tracker <[email-masked]> wrote:

> #153: Section 2.8 Access-Info
> 
> 
> Comment (by [email-masked]):
> 
> Updated text:
> 
> 2.8.  EAPoL-Announcement
> 
>    Description
> 
>       The EAPoL-Announcement Attribute contains EAPoL-Announcement Type
>       Length Value Tuples (TLVs) defined within Table 11-8 of
>       IEEE-802.1X [IEEE-802.1X].
> 
>       Zero or more EAPoL-Announcement attributes are permitted within an
>       Access-Request, Access-Accept, Access-Challenge, Access-Reject,
>       Accounting-Request, CoA-Request or Disconnect-Request packet.
> 
>       When included within an Access-Request packet, EAPoL-Announcement
>       attributes contain EAPoL-Announcement TLVs that the user sent in
>       an EAPoL-Announcement.  When included within an Access-Accept,
>       Access-Challenge, Access-Reject, CoA-Request or Disconnect-Request
>       packet, EAPoL-Announcement attributes contain EAPoL-Announcement
>       TLVs that the NAS is to send to the user in a unicast EAPoL-
>       Announcement.  When sent within an Accounting-Request packet,
>       EAPoL-Announcment attributes contain EAPoL-Announcement TLVs that
>       the NAS has most recently sent to the user in a unicast EAPoL-
>       Announcement.
> 
>       A summary of the EAPoL-Announcement Attribute format is shown
>       below.  The fields are transmitted from left to right.
> 
>        0                   1                   2                   3
>        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |     Type      |    Length     |             String...
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
>    Code
> 
>       TBD7
> 
>    Length
> 
>> =3
> 
>    String
> 
>       The String field is one or more octets, containing EAPoL-
>       Announcement TLVs in the format defined in Figure 11-8 of Section
>       11.12 of [IEEE-802.1X].  Any EAPoL-Announcement TLV Type MAY be
>       included within an EAPoL-Announcement Attribute, including
>       Organizationally Specific TLVs.  If multiple EAPoL-Announcement
>       attributes are present in a packet, their String fields MUST be
>       concatenated before being parsed for EAPoL-Announcement TLVs; this
>       allows EAPoL-Announcement TLVs longer than 253 octets to be
>       transported by RADIUS.  Similarly, EAPoL-Announcement TLVs larger
>       than 253 octets MUST be fragmented between multiple EAPoL-
>       Announcement attributes.
> 
> -- 
> -------------------------------------+-------------------------------------
> Reporter:                           |       Owner:  draft-ietf-radext-
>  [email-masked]          |  [email-masked]
>     Type:  defect                   |      Status:  reopened
> Priority:  critical                 |   Milestone:  milestone1
> Component:  ieee802ext               |     Version:  1.0
> Severity:  In WG Last Call          |  Resolution:
> Keywords:                           |
> -------------------------------------+-------------------------------------
> 
> Ticket URL: <http://trac.tools.ietf.org/wg/radext/trac/ticket/153#comment:7>
> radext <http://tools.ietf.org/radext/>
>

---

From: "radext issue tracker" <[email-masked]>
Date: Fri, 08 Nov 2013 18:28:53 -0000

Changes (by [email-masked]):

 * status:  reopened => closed
 * resolution:   => fixed

-- 
-------------------------------------+-------------------------------------
 Reporter:                           |       Owner:  draft-ietf-radext-
  [email-masked]          |  [email-masked]
     Type:  defect                   |      Status:  closed
 Priority:  critical                 |   Milestone:  milestone1
Component:  ieee802ext               |     Version:  1.0
 Severity:  In WG Last Call          |  Resolution:  fixed
 Keywords:                           |
-------------------------------------+-------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/radext/trac/ticket/153#comment:8>
radext <http://tools.ietf.org/radext/>